osgManipulator::TranslateInLineCommand Class Reference

`#include <Command>`

Inheritance diagram for osgManipulator::TranslateInLineCommand:

## Public Member Functions

| TranslateInLineCommand ()
| TranslateInLineCommand (const osg::LineSegment::vec_type &s, const osg::LineSegment::vec_type &e)
virtual void | accept (const Constraint &constraint)
virtual void | accept (DraggerCallback &callback)
virtual MotionCommand * | createCommandInverse ()
void | setLine (const osg::LineSegment::vec_type &s, const osg::LineSegment::vec_type &e)
const osg::LineSegment::vec_type & | getLineStart () const
const osg::LineSegment::vec_type & | getLineEnd () const
void | setTranslation (const osg::Vec3d &t)
const osg::Vec3d & | getTranslation () const
virtual osg::Matrix | getMotionMatrix () const
Public Member Functions inherited from osgManipulator::MotionCommand
| MotionCommand ()
void | setLocalToWorldAndWorldToLocal (const osg::Matrix &localToWorld, const osg::Matrix &worldToLocal)
const osg::Matrix & | getLocalToWorld () const
const osg::Matrix & | getWorldToLocal () const
void | setStage (const Stage s)
Stage | getStage () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~TranslateInLineCommand ()
Protected Member Functions inherited from osgManipulator::MotionCommand
virtual | ~MotionCommand ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Public Types inherited from osgManipulator::MotionCommand
enum | Stage { NONE , START , MOVE , FINISH }
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Command for translating in a line.

## Constructor & Destructor Documentation

## TranslateInLineCommand() [1/2]

osgManipulator::TranslateInLineCommand::TranslateInLineCommand | ( |  | ) |

## TranslateInLineCommand() [2/2]

osgManipulator::TranslateInLineCommand::TranslateInLineCommand | ( | const osg::LineSegment::vec_type & | s,
|  | const osg::LineSegment::vec_type & | e )

## ~TranslateInLineCommand()

virtual osgManipulator::TranslateInLineCommand::~TranslateInLineCommand | ( |  | ) |

protected virtual

## Member Function Documentation

## accept() [1/2]

virtual void osgManipulator::TranslateInLineCommand::accept | ( | const Constraint & | constraint | ) |

inline virtual

Reimplemented from osgManipulator::MotionCommand.

References osgManipulator::Constraint::constrain().

## accept() [2/2]

virtual void osgManipulator::TranslateInLineCommand::accept | ( | DraggerCallback & | callback | ) |

inline virtual

Reimplemented from osgManipulator::MotionCommand.

References osgManipulator::DraggerCallback::receive().

## createCommandInverse()

virtual MotionCommand * osgManipulator::TranslateInLineCommand::createCommandInverse | ( |  | ) |

virtual

create a MotionCommand that is the inverse of this command, and if applied will undo this commands changes.

Implements osgManipulator::MotionCommand.

References osgManipulator::MotionCommand::MotionCommand().

## getLineEnd()

const osg::LineSegment::vec_type & osgManipulator::TranslateInLineCommand::getLineEnd | ( |  | ) | const

inline

## getLineStart()

const osg::LineSegment::vec_type & osgManipulator::TranslateInLineCommand::getLineStart | ( |  | ) | const

inline

## getMotionMatrix()

virtual osg::Matrix osgManipulator::TranslateInLineCommand::getMotionMatrix | ( |  | ) | const

inline virtual

Gets the matrix for transforming the object being dragged. This matrix is in the command's coordinate systems.

Implements osgManipulator::MotionCommand.

References osg::Matrixd::translate().

## getTranslation()

const osg::Vec3d & osgManipulator::TranslateInLineCommand::getTranslation | ( |  | ) | const

inline

## setLine()

void osgManipulator::TranslateInLineCommand::setLine | ( | const osg::LineSegment::vec_type & | s,
|  | const osg::LineSegment::vec_type & | e )

inline

## setTranslation()

void osgManipulator::TranslateInLineCommand::setTranslation | ( | const osg::Vec3d & | t | ) |

inline

The documentation for this class was generated from the following file:

- Command